# Uses of Enum Class
org.bukkit.block.PistonMoveReaction

Packages that use PistonMoveReaction
Package
Description
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of PistonMoveReaction in org.bukkit.block

Methods in org.bukkit.block that return PistonMoveReaction
Modifier and Type
Method
Description
`static @Nullable PistonMoveReaction`
PistonMoveReaction.`getById(int id)`
Deprecated.
Magic value
`@NotNull PistonMoveReaction`
Block.`getPistonMoveReaction()`
Returns the reaction of the block when moved by a piston
`static PistonMoveReaction`
PistonMoveReaction.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PistonMoveReaction[]`
PistonMoveReaction.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of PistonMoveReaction in org.bukkit.entity

Methods in org.bukkit.entity that return PistonMoveReaction
Modifier and Type
Method
Description
`@NotNull PistonMoveReaction`
Entity.`getPistonMoveReaction()`
Returns the reaction of the entity when moved by a piston.